$(function () {
    var ENV_WEBROOT = "../";

    


    $(".btn-agregar-producto").off("click");
    $(".btn-agregar-producto").on("click", function (e) {
       
        var cantidad = $("#txt_cantidad").val();
        var producto_id = $("#nparte1").val();
        if (producto_id != 0) {
            if (cantidad != '') {
                $.ajax({
                    url: 'Controller/ProductoController.php?page=1',
                    type: 'post',
                    data: {'nparte1': producto_id, 'cantidad': cantidad},
                    dataType: 'json',
                    success: function (data) {


                        if (data.success == true) {
                            $("#txt_cantidad").val('');
                            $("#descrip").val('');
                            $("#nparte1").val('');
                            alertify.success(data.msj);
                            $(".detalle-producto").load('detalle.php');
                        } else {
                            alertify.error(data.msj);
                        }
                    },
                    error: function (jqXHR, textStatus, error) {
                        alertify.error(error);
                    }
                });
            } else {
                alertify.error('Ingrese una cantidad t');
            }
        } else {
            alertify.error('Seleccione un producto');
        }
    });

    $(".eliminar-producto").off("click");
    $(".eliminar-producto").on("click", function (e) {
        var id = $(this).attr("id");
        $.ajax({
            url: 'Controller/ProductoController.php?page=2',
            type: 'post',
            data: {'id': id},
            dataType: 'json'
        }).done(function (data) {
            if (data.success == true) {
                alertify.success(data.msj);
                $(".detalle-producto").load('detalle.php');

            } else {
                alertify.error(data.msj);
            }
        })
    });

    $(".guardar-carrito").off("click");
    $(".guardar-carrito").on("click", function (e) {
        var proy = $("#cbo_proy").val();
        $.ajax({
            url: 'Controller/ProductoController.php?page=3',
            type: 'post',
            data: {'proy': proy},

            dataType: 'json',
            success: function (data) {
                if (data.success == true) {
                    $("#txt_cantidad").val('');
                    alertify.success(data.msj);
                    //$(".detalle-producto").load('detalle.php');

                } else {
                    alertify.error(data.msj);
                }
            },
            error: function (jqXHR, textStatus, error) {
                alertify.error(error);
            }
        });
    });

    $(".guardar-enviar-carrito").off("click");
    $(".guardar-enviar-carrito").on("click", function (e) {
        $.ajax({
            url: 'Controller/ProductoController.php?page=4',
            type: 'post',
            data: {proy: $("#cbo_proy").val()},

            dataType: 'json',
            success: function (data) {
                if (data.success == true) {
                    $("#txt_cantidad").val('');
                    alertify.success(data.msj);
                    //alertify.success(data.success_email);
                    $(".detalle-producto").load('detalle.php');
//					setTimeout(function(){
//					  window.location.href = 'impresion.php?id='+data.idventa;
//					}, 3000);
                } else {
                    alertify.error(data.msj);
                }
            },
            error: function (jqXHR, textStatus, error) {
                alertify.error(error);
            }
        });
    });


    function formatItem(row) {
        return " (<strong>" + row[1] + "</strong>)" + row[0];
    }
    var pagRes = '../../almacen/AL10701_DS.php';
    var idObjDes = 'descrip';
    var idObjCve = 'nparte1';
    //ademas el autocomplete se va a ejecutar con la descripcion no con la clave
    $("#" + idObjDes).autocomplete({
        source: pagRes,
        max: 20, //maximo de resultados mostrados, se manda como limit en autosugestion
        //ancho del cuadro de despliegue
        //Resalta letras coincidentes
        autoFill: true, //autocompleta en texto la posible palabra
        scroll: true, //si cuadro tiene barra scroll
        scrollHeight: 100, //alto del cuadro para el scroll
        select: function (event, ui) {
            $("#" + idObjDes).val(ui.item.gdescrip);
            $("#" + idObjCve).val(ui.item.id);
            $("#txt_cantidad").val(1);
            $("#txt_cantidad").focus();
            $("#txt_cantidad").select();

        }
        //Parametros Extra a Mandar en autosugestion
    });


});
function selproy(val) {
    if (val != 0) {
        $("#busqueda").show('slow');
    } else {
        $("#busqueda").hide('slow');
    }
}